Bug 835900 - 3.1 - beta2 - Check connectivity | no revert to backup when check connectivity failed
3.1 - beta2 - Check connectivity | no revert to backup when check connectivit...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: vdsm (Show other bugs)
6.3
x86_64 Linux
high Severity high
: beta
: 6.3
Assigned To: Igor Lvovsky
Meni Yakove
network
: Regression
: 834020 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-27 09:36 EDT by Meni Yakove
Modified: 2012-12-04 14:01 EST (History)
12 users (show)

See Also:
Fixed In Version: vdsm-4.9.6-29.0
Doc Type: Bug Fix
Doc Text:
Previously, if the Red Hat Enterprise Virtualization Manager's IP address was set to "unreachable", the VDSM also became unreachable until it was restarted. Now, after checking connectivity time out, if the connectivity fails, the host correctly performs a rollback of network configuration and becomes reachable.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 14:01:04 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
vdsm.log (4.67 MB, application/octet-stream)
2012-06-27 09:36 EDT, Meni Yakove
no flags Details

  None (edit)
Description Meni Yakove 2012-06-27 09:36:45 EDT
Created attachment 594776 [details]
vdsm.log

Description of problem:

Open SetupNetwors > change RHEVM IP to non reachable > apply.
Host stays unreachable until VDSM service is restarted ()

Version-Release number of selected component (if applicable):
vdsm-4.10.0-0.94.git156c30a.el6.x86_64

How reproducible:
100%

Steps to Reproduce:
1.Open SetupNetworks and change RHEVM IP to non reachable
2.Apply

Actual results:
VDSM is unreachable 

Expected results:
After check connectivity time out host should perform rollback of network configuration and became reachable.
Comment 3 Meni Yakove 2012-06-27 10:49:13 EDT
After press apply I can see in the vdsm.log that VDSM service restarted - Run and protect: prepareForShutdown
When restarting VDSM service using: /etc/init.d/vdsmd restart then VDSM performe roolback of network configuration
reproduce on HSM host and on SPM host.
Comment 4 Meni Yakove 2012-06-27 10:54:27 EDT
*** Bug 834020 has been marked as a duplicate of this bug. ***
Comment 5 lpeer 2012-07-26 07:35:05 EDT
*** Bug 842662 has been marked as a duplicate of this bug. ***
Comment 6 lpeer 2012-07-26 07:47:45 EDT
When validating the fix for this bug please also confirm the use case fomr BZ 842662 is also working -

Steps to Reproduce:
1. Create VM Network and attach it to the host's NIC
2. Change the IP of the Network to the static (in the same subnet as rhevm Manager) and press ok button
3. Wait for about 2 minutes(the rolling back time)
Comment 7 Igor Lvovsky 2012-08-15 10:39:07 EDT
http://gerrit.ovirt.org/#/c/6991/
Comment 9 Meni Yakove 2012-08-23 02:45:30 EDT
Verified on vdsm-4.9.6-27.0.el6_3.x86_64
Comment 10 Meni Yakove 2012-08-23 02:46:12 EDT
(In reply to comment #9)
> Verified on vdsm-4.9.6-27.0.el6_3.x86_64

* vdsm-4.9.6-29.0.el6_3.x86_64
Comment 13 errata-xmlrpc 2012-12-04 14:01:04 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-1508.html

Note You need to log in before you can comment on or make changes to this bug.